> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a webhook setting url



## OpenAPI

````yaml /openapi.yml patch /api/v2/webhooks/{webhookId}/credentials
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/webhooks/{webhookId}/credentials:
    patch:
      tags:
        - Webhooks
      summary: Updates a webhook setting url
      operationId: api-webhook-patch-credentials
      parameters:
        - name: webhookId
          in: path
          description: The webhook that you want to update.
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWebhookCredentialsRequest'
            examples:
              Request Example:
                $ref: '#/components/examples/UpdateWebhookCredentialsRequestExample'
      responses:
        '200':
          description: '200'
components:
  schemas:
    UpdateWebhookCredentialsRequest:
      type: object
      required:
        - username
        - password
      properties:
        username:
          type: string
          description: The setting username, that will used to authenticate the webhook.
        password:
          type: string
          description: The setting password, that will used to authenticate the webhook.
  examples:
    UpdateWebhookCredentialsRequestExample:
      value:
        username: myuser
        password: mypassword
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````